Package org.opensaml.xacml.policy

# Interface AttributeSelectorType

All Superinterfaces:
  `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `AttributeSelectorTypeImpl`

public interface AttributeSelectorType extends ExpressionType
XACML AttributeSelector schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATA_TYPE_ATTRIB_NAME`
DataType attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element AttributeSelector.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element AttributeSelector.
`static final String`
`MUST_BE_PRESENT_ATTRIB_NAME`
MustBePresent attribute name.
`static final String`
`REQUEST_CONTEXT_PATH_ATTRIB_NAME`
RequestContextPath attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataType()`
Gets the data type of the attribute to be selected.
`Boolean`
`getMustBePresent()`
Gets whether the attribute to be selected must be present.
`XSBooleanValue`
`getMustBePresentXSBoolean()`
Gets whether the attribute to be selected must be present.
`String`
`getRequestContextPath()`
Gets the request context path of the attribute to be selected.
`void`
`setDataType(String type)`
Sets the data type of the attribute to be selected.
`void`
`setMustBePresent(Boolean present)`
Sets whether the attribute to be selected must be present.
`void`
`setMustBePresentXSBoolean(XSBooleanValue present)`
Sets whether the attribute to be selected must be present.
`void`
`setRequestContextPath(String path)`
Sets the request context path of the attribute to be selected.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element AttributeSelector.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element AttributeSelector.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### REQUEST_CONTEXT_PATH_ATTRIB_NAME

static final String REQUEST_CONTEXT_PATH_ATTRIB_NAME
RequestContextPath attribute name.

See Also:
  - Constant Field Values

### DATA_TYPE_ATTRIB_NAME

static final String DATA_TYPE_ATTRIB_NAME
DataType attribute name.

See Also:
  - Constant Field Values

### MUST_BE_PRESENT_ATTRIB_NAME

static final String MUST_BE_PRESENT_ATTRIB_NAME
MustBePresent attribute name.

See Also:
  - Constant Field Values

## Method Details

### getRequestContextPath

String getRequestContextPath()
Gets the request context path of the attribute to be selected.

Returns:
  request context path of the attribute to be selected

### setRequestContextPath

void setRequestContextPath(String path)
Sets the request context path of the attribute to be selected.

Parameters:
  `path` - request context path of the attribute to be selected

### getDataType

String getDataType()
Gets the data type of the attribute to be selected.

Returns:
  data type of the attribute to be selected

### setDataType

void setDataType(String type)
Sets the data type of the attribute to be selected.

Parameters:
  `type` - data type of the attribute to be selected

### getMustBePresent

Boolean getMustBePresent()
Gets whether the attribute to be selected must be present.

Returns:
  whether the attribute to be selected must be present

### getMustBePresentXSBoolean

XSBooleanValue getMustBePresentXSBoolean()
Gets whether the attribute to be selected must be present.

Returns:
  whether the attribute to be selected must be present

### setMustBePresent

void setMustBePresent(Boolean present)
Sets whether the attribute to be selected must be present.

Parameters:
  `present` - whether the attribute to be selected must be present

### setMustBePresentXSBoolean

void setMustBePresentXSBoolean(XSBooleanValue present)
Sets whether the attribute to be selected must be present.

Parameters:
  `present` - whether the attribute to be selected must be present